Name:           libkipi
Version:        0.1.5
Release:        1%{?dist}
Summary:        Common plugin infrastructure for KDE image applications

Group:          System Environment/Libraries
License:        LGPL
URL:            http://extragear.kde.org/apps/kipi
Source0:        http://dl.sf.net/kipi/libkipi-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel >= 6:3.0
BuildRequires:  gettext, libacl-devel

%description
Kipi (KDE Image Plugin Interface) is an effort to develop a common plugin
structure for Digikam, KimDaBa, Showimg and Gwenview. Its aim is to share
image plugins among graphic applications.

%package        devel
Summary:        Common plugin infrastructure for KDE image applications
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       kdelibs-devel
Requires:       pkgconfig

%description    devel
Kipi (KDE Image Plugin Interface) is an effort to develop a common plugin
structure for Digikam, KimDaBa, Showimg and Gwenview. Its aim is to share
image plugins among graphic applications.
This package contains the files needed to build applications with Kipi
support


%prep
%setup -q


%build
unset QTDIR && . %{_sysconfdir}/profile.d/qt.sh
# work around an improper ${kdelibsuff}
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
%configure --disable-rpath --disable-debug --enable-final
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/*.so.*
%{_datadir}/apps/kipi
%{_datadir}/icons/hicolor/*/apps/kipi.png
%{_datadir}/servicetypes/*.desktop

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libkipi


%changelog
* Fri Dec 08 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.1.5-1
- version 0.1.5

* Thu Sep 14 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.1.4-3
- have the devel package require pkgconfig

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.1.4-2
- rebuild

* Sat May 20 2006 Aurelien Bompard <gauret[AT]free.fr> 0.1.4-1
- version 0.1.4

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 0.1.2-5
- rebuild for FC5

* Sat Oct 22 2005 Aurelien Bompard <gauret[AT]free.fr> 0.1.2-4
- spec file mistake, rebuild

* Sat Oct 22 2005 Aurelien Bompard <gauret[AT]free.fr> 0.1.2-3
- update gtk's cache in %%post and %%postun
- don't package .la files
- see bug 171501

* Thu Oct 06 2005 Aurelien Bompard <gauret[AT]free.fr> 0.1.2-2
- BR libacl-devel to fix build on FC5

* Thu Oct 06 2005 Aurelien Bompard <gauret[AT]free.fr> 0.1.2-1
- version 0.1.2

* Thu Jun  9 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.1.1-1.2
- Qt not found on x86_64

* Sun May 08 2005 Aurelien Bompard <gauret[AT]free.fr> 0.1.1-1
- version 0.1.1
- use disttag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Jan 05 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.1-2
- Fix libkipi-devel requirements
- Reduce hicolor icon directory ownership bloat
- Switch group "System Environment/Libraries"

* Mon Oct 25 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.1-0.fdr.1
- Initial RPM release.
